PDF Converter API DocumentationThe PDF Converter API provides two main endpoints for converting PDF files and managing conversion jobs.Header: X-API-Key: YOUR_TOKEN
How to get API key: Available in your account settings on the website.Convert PDFPOST /api/v1/api/convert
Converts a PDF file to the specified format.Request Body:{
"file": "base64_encoded_pdf_content",
"password": "optional_pdf_password",
"result_file_type": "csv"
}Parameters:- file (required): Base64 encoded PDF file
- password (optional): PDF password if file is protected
- result_file_type (required): Output format - csv, xlsx, or jsonResponse:{
"success": true,
"job_id": "task-id-123",
"pages_used": 2,
"pages_remaining": 98
}Get JobsGET /api/v1/api/jobs
Retrieves a list of all conversion jobs for the authenticated user.Response:{
"success": true,
"jobs": [
{
"id": "task-id-123",
"status": "completed",
"pages_used": 2,
"created_at": "2024-01-01T12:00:00Z",
"result_file_type": "csv"
}
],
"total_pages_used": 2,
"pages_remaining": 98
}Job Status Values:- processing - Conversion in progress
- completed - Conversion finished successfully
- error - Conversion failed